//
// Created by jholder on 21.10.21.
//

#include <catch2/catch.hpp>

#include "tools/LiveAgg.hpp"

TEST_CASE("LiveAgg") {
    auto ag = LiveAgg();
    SECTION("Mean of same values") {
        ag.feed(1.0);
        ag.feed(1.0);
        REQUIRE(ag.getMean() == 1.0);
        REQUIRE(ag.getNumPoints() == 2);
    }
}
